import { CookieService } from 'ngx-cookie';
import { Configuration } from '../configuration';
export declare class OcTokenService {
    protected cookies: CookieService;
    private authTokenCookieName;
    private impersonationTokenCookieName;
    private refreshTokenCookieName;
    constructor(configuration: Configuration, cookies: CookieService);
    GetAccess(): string;
    SetAccess(token: string): void;
    RemoveAccess(): void;
    GetImpersonation(): string;
    SetImpersonation(token: string): void;
    RemoveImpersonation(): void;
    GetRefresh(): string;
    SetRefresh(token: string): void;
}
